Subject: "guix lint -c cve" does not account for language prefixes (rust-,python-,go-,..)

From: Léo Le Bouter <[email-masked]>
Date: Tue, 16 Mar 2021 10:29:43 +0100

./pre-inst-env guix lint -c cve [email-masked]
Here this should return at least CVE-2021-28363 but it does not because
the CVE database contains urllib3 and not python-urllib3 (which AFAICT
the cve linter searches for).

Annotating each and every python-, go-, and rust- package with cpe-name 
properties is going to be very annoying. I suggest we add some
heuristics that try both the full name and prefix-trimmed name. python-
urllib3's cpe name and vendor is python (vendor) urllib3 (name).

Same story for CVE-2021-28305 and rust-diesel, though it doesnt even
have a CPE entry yet.